<div *ngIf="isSideMenu === false" class="rounded-full w-10 h-10 bg-menuIconBackground md:hidden flex justify-center items-center cursor-pointer overflow-hidden" [ngClass]="{ 'border-lightGreen border-2': isWindowOpened }" (mouseenter)="onMouseEnter()" (mouseleave)="onMouseLeave()">
    <fa-icon *ngIf="menuIcon !== undefined" [icon]="menuIcon" class="text-yellow-400 relative bg-transparent" [@mouseOverIcon]="isMouseOver === true ? 'over' : 'outside'"></fa-icon>  
</div>

<div *ngIf="isSideMenu === true" class="rounded-full w-10 h-10 bg-menuIconBackground md:mt-8 flex justify-center items-center cursor-pointer" [ngClass]="{ 'border-lightGreen border-2': isWindowOpened }" (mouseenter)="onMouseEnter()" (mouseleave)="onMouseLeave()">
    <fa-icon *ngIf="menuIcon !== undefined" [icon]="menuIcon" class="text-yellow-400 relative bg-transparent" [@mouseOverIcon]="isMouseOver === true ? 'over' : 'outside'"></fa-icon>  
</div>

